For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Work Order
      • GETGet Action Types
      • POSTUpload Attachment
      • POSTCreate Work Order from Existing
LogoLogo
API ReferenceKitting

Upload Attachment

||View as Markdown|
POST
https://sandbox-api.shipbob.com/Experimental/kitting:uploadAttachment
POST
/Experimental/kitting:uploadAttachment
$curl -X POST https://sandbox-api.shipbob.com/Experimental/kitting:uploadAttachment \
> -H "Authorization: Bearer <token>"
1{
2 "attachment_name": "string",
3 "id": "string"
4}
Uploads an attachment for a kitting work order action step. The returned GUID can be used when creating the work order action attachment. Request must be sent as **multipart/form-data** with the following fields: | Field | Type | Required | Description | |-------|------|----------|-------------| | file_name | string | Yes | The file name including extension (e.g. packaging-pic.jpg). Supported types: jpg, jpeg, png, pdf, csv, xlsx, xls, txt, gif, mp4. | | file | file | Yes | The binary file content to upload. |
Was this page helpful?
Previous

Get Action Types

Next

Create Work Order from Existing

Built with

Uploads an attachment for a kitting work order action step. The returned GUID can be used when creating the work order action attachment.

Request must be sent as multipart/form-data with the following fields:

FieldTypeRequiredDescription
file_namestringYesThe file name including extension (e.g. packaging-pic.jpg). Supported types: jpg, jpeg, png, pdf, csv, xlsx, xls, txt, gif, mp4.
filefileYesThe binary file content to upload.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Response

Success
attachment_namestring
The name of the uploaded attachment.
idstring
The unique identifier of the uploaded attachment.

Errors

400
Bad Request Error
500
Internal Server Error